<?xml version="1.0"?>

<cfsInfo status="finished" infoWriteCounter="9" infoRejectCounter="0">
  <summary>
    <timer wall="0" cpu="0.386392" calls="1"/>
    <memory final="687920" peak="687920"/>
  </summary>
  <header id="">
    <environment started="2016-Jun-30 16:20:36" host="eamc072"/>
    <progOpts problem="InitialDesign" parameterFile="/home/bvu/code/cfs-test/TESTSUIT/Optimization/Technical/InitialDesign/InitialDesign.xml" schemaPath="/home/bvu/code/cfs/share/xml" meshFile="" logConfFile="" detailed="no" MKL_NUM_THREADS="1">
      <cfs version="16.04" name="Back To The Future" build="Release" svn_revision="14945 modified"/>
    </progOpts>
    <domain dimensions="2" elements="400" nodes="441" nx="20" ny="20" nz="1">
      <coordinateSystems>
        <system name="default"/>
      </coordinateSystems>
      <regions>
        <region name="mech" id="0" type="volume" regular="yes" hom="yes" nodes="441" elems="400" isQuadratic="no"/>
      </regions>
      <namedNodes>
        <nodes name="south" count="21"/>
        <nodes name="north" count="21"/>
        <nodes name="west" count="21"/>
        <nodes name="east" count="21"/>
        <nodes name="left_lower" count="1" coord="(0,0)"/>
        <nodes name="right_lower" count="1" coord="(1,0)"/>
        <nodes name="left_upper" count="1" coord="(0,1)"/>
        <nodes name="right_upper" count="1" coord="(1,1)"/>
      </namedNodes>
      <namedElements/>
      <globalMathParser dt="0" f="0" nx="20" ny="20" nz="1" step="0" t="0" t0="0"/>
    </domain>
  </header>
  <calculation>
    <process/>
  </calculation>
  <sequenceStep sequence="1">
    <static/>
    <PDE>
      <mechanic>
        <header>
          <region name="mech" damping="none"/>
          <integrators>
            <matrixBiLinearForms>
              <bilinearForm integrator="LinElastInt" BOp="StrainOperator2D" region="mech">
                <row pde="mechanic" functionId="0" result="mechDisplacement"/>
                <column pde="mechanic" functionId="0" result="mechDisplacement"/>
                <destination feMatrix="stiffness" feMatrixMapped="system" feSecondMatrix="no_fe_matrix" feSecondMatrixFac="0.0  "/>
                <attributes entryType="RealPart" counterPart="no" symmetric="yes" solutionDependent="no" updatedGeo="no"/>
              </bilinearForm>
            </matrixBiLinearForms>
            <rhsLinearForms>
              <linearForm integrator="NodalForceInt" region="">
                <entities name="right_lower" size="1" region="no_region"/>
                <row pde="mechanic" result="mechDisplacement" solutionDependent="no"/>
              </linearForm>
            </rhsLinearForms>
          </integrators>
        </header>
        <material name="99lines">
          <regionList>
            <region name="mech"/>
          </regionList>
          <property name="MechanicStiffnessTensor">
            <tensor dim1="6" dim2="6">
              <real>
                 1.346154e+00  5.769231e-01  5.769231e-01  0.000000e+00  0.000000e+00  0.000000e+00
                 5.769231e-01  1.346154e+00  5.769231e-01  0.000000e+00  0.000000e+00  0.000000e+00
                 5.769231e-01  5.769231e-01  1.346154e+00  0.000000e+00  0.000000e+00  0.000000e+00
                 0.000000e+00  0.000000e+00  0.000000e+00  3.846154e-01  0.000000e+00  0.000000e+00
                 0.000000e+00  0.000000e+00  0.000000e+00  0.000000e+00  3.846154e-01  0.000000e+00
                 0.000000e+00  0.000000e+00  0.000000e+00  0.000000e+00  0.000000e+00  3.846154e-01
              </real>
            </tensor>
          </property>
          <property name="Mechanic_Emodulus" value="1"/>
          <property name="Mechanic_PoissonRation" value="0.3"/>
          <property name="Mechanic_Kmodulus" value="(0.83333,0)"/>
          <property name="Mechanic_LameMu" value="(0.38462,0)"/>
          <property name="Mechanic_LameLambda" value="(0.57692,0)"/>
          <property name="Rayleigh_Frequency" value="1000"/>
          <property name="Loss_TangensDelta" value="0.03"/>
        </material>
        <!-- List of defined Spaces-->
        <feSpaces>
          <mechDisplacement>
            <h1Nodal>
              <regionList>
                <mech/>
                <default order="1"/>
              </regionList>
            </h1Nodal>
          </mechDisplacement>
        </feSpaces>
        <feFunctions>
          <mechDisplacement/>
          <homDirichletBC>
            <nodeList name="west" dofs="x y"/>
          </homDirichletBC>
          <inhomDirichletBC/>
        </feFunctions>
      </mechanic>
    </PDE>
    <OLAS>
      <mechanic>
        <setup idbcHandling="elimination" staticCondensation="no">
          <!-- List of registered FeFunctions-->
          <feFunctions totalNumEqns="840" totalNumFreeEqns="840" totalNumDirichlet="0">
            <function id="0" name="mechDisplacement" numEqns="840" lastFreeEqn="840" numDirichlet="0">
              <usedInBlocks>
                <block id="0"/>
              </usedInBlocks>
            </function>
          </feFunctions>
          <!-- List of SBM-blocks-->
          <sbmBlocks>
            <block id="0" size="840" lastFreeIndex="840"/>
          </sbmBlocks>
          <setupTime wall="0" cpu="0.002035" calls="1"/>
          <!-- List of defined matrices-->
          <matrices>
            <!-- Memory is in MByte-->
            <system totalNumRows="840" totalNumCols="840" totalNumNonZeros="14152" totalFillLevelPerCent="2.0057" totalMemory="0.10797">
              <matrix blockRow="0" blockCol="0" storageType="sparseSym" numRows="840" numCols="840" numNonZeros="14152" fillLevelPerCent="2.0057" memory="0.10797" upperBandWidth="829" lowerBandWidth="829" avgBandWidth="299" symCounterPart="no" orderingType="Metis"/>
            </system>
          </matrices>
        </setup>
        <solver>
          <directLDL>
            <summary>
              <setup>
                <timer wall="0" cpu="0.001783" calls="1"/>
              </setup>
              <solve>
                <timer wall="0" cpu="0.262215" calls="1"/>
              </solve>
            </summary>
          </directLDL>
        </solver>
        <precond>
          <idPrecond/>
        </precond>
        <process>
          <solver solutionIsOkay="yes"/>
        </process>
      </mechanic>
    </OLAS>
    <analysis>
      <summary>
        <assemble>
          <timer wall="0" cpu="0.002069" calls="2"/>
        </assemble>
      </summary>
    </analysis>
  </sequenceStep>
  <optimization haltopt_file="/home/bvu/code/cfs-test/TESTSUIT/Optimization/Technical/InitialDesign/HALTOPT">
    <header>
      <objective type="compliance" linear="no" filtered="yes" task="minimize"/>
      <constraints>
        <constraint type="volume" linear="yes" filtered="yes" name="volume" bound_value="0.5" bound="upperBound" design="default"/>
      </constraints>
      <designSpace pamping="0">
        <header warning="Set initial value for design density to next valid value"/>
        <transferFunctions>
          <transferFunction type="simp" application="mech" design="density" param="3"/>
        </transferFunctions>
        <designVariables optimizationVariables="400" modelVariables="400" modelElements="400">
          <design type="density" upperBound="1" lowerBound="0.001" physicalLowerBound="1e-09"/>
        </designVariables>
        <regions>
          <region name="mech" elements="400" bimaterial="-"/>
        </regions>
      </designSpace>
      <sequence step="1" complex="no" harmonic="no" eigenvalue="no" bloch="no" material="mechanic" homogenization="no"/>
      <filters periodic="no">
        <filter type="maxEdge" value="1.5" contribution="linear" design="allDesigns" avg_radius="0.075" avg_neighbors="7.41">
          <timer wall="0" cpu="0.000424" calls="1"/>
        </filter>
      </filters>
      <excitations>
        <excitation index="0" meta_idx="0" label="0" weight="1" normalized_weight="1"/>
      </excitations>
      <evaluate/>
    </header>
    <commit mode="forward" stride="1"/>
    <optimizer>
      <summary>
        <timer wall="0" cpu="6e-06" calls="1"/>
      </summary>
    </optimizer>
    <eval>
      <timer wall="0" cpu="0.001962" calls="4"/>
    </eval>
    <process>
      <iteration number="0" duration="0" compliance="9.6059e+09" volume="0.2008"/>
    </process>
  </optimization>
</cfsInfo>